import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";
const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

//日报
export async function httpDailylist(data: object): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/saleexportconsultday`,
    {
      data
    }
  );
}

//竞价单
export async function httpBiddinglist(data: object): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/saleexportconsultinfo`,
    {
      data
    }
  );
}

//订单
export async function httpOrderlist(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/saleexportlist`, {
    data
  });
}

//未发货
export async function httpUnshippedlist(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/saleexportlist`, {
    data
  });
}

//未签到
export async function httpUnsignedlist(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/saleexportlist`, {
    data
  });
}

//售后
export async function httpAftersaleslist(data: object): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/saleexportorderreturn`,
    {
      data
    }
  );
}

//热销
export async function httpHotsellinglist(data: object): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/saleexportgoodrankinglist`,
    {
      data
    }
  );
}

//竞价单导出
export async function httpBiddingexportlist(
  data: object
): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/saleexportconsultdetailed`,
    {
      data
    }
  );
}

//工差明细
export async function httpWorkdifferencelist(
  data: object
): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/saleexportsalediff`,
    {
      data
    }
  );
}

//退货明细表
export async function httpReturnlist(data: object): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/saleexportthdata`,
    {
      data
    }
  );
}

//售后明细表
export async function httpAftersalesInfolist(
  data: object
): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/seord`, {
    data
  });
}

//议价明细表
export async function httpSebolist(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/sebo`, {
    data
  });
}

//无地址待发货
export async function httpNoaddresslist(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/seoona`, {
    data
  });
}

//有地址待发货
export async function httpHaveddresslist(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/seooa`, {
    data
  });
}
