import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";
const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

export async function httpProcessList(
  data: object = {}
): Promise<DataType<ProcessNode[]>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/process_get_list`,
    {
      data: {
        ...data,
        size: 10000
      }
    }
  );
}

export async function httpActionList(
  data: object = {}
): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/action_process_getlist`,
    {
      data
    }
  );
}
