import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "cgdNo",
      type: "input",
      placeholder: "采购单编号"
    },
    {
      field: "creater",
      type: "input",
      placeholder: "创建人"
    },
    {
      field: "company_name",
      type: "input",
      placeholder: "创建人部门"
    }
  ]
};

export default searchFormConfig;
