import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "returnCode", label: "退货单编号" },
          { value: "cgdNo", label: "采购单编号" },
          { value: "good_type_code", label: "商品属性编码" },
          { value: "good_name", label: "商品名称" }
        ]
      }
    }
  ]
};

export default searchFormConfig;
