import { ContentConfig } from "/@/components/PageContent";
import { httpBiddinglist } from "../../../../../api/reportQuery/saleReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "creater",
    label: "创建人",
    minWidth: "155px"
  },
  {
    prop: "creater_company",
    label: "创建人部门",
    minWidth: "155px"
  },
  {
    prop: "addtime",
    label: "竞价时间",
    minWidth: "155px"
  },

  {
    prop: "zxNo",
    label: "竞价单号",
    minWidth: "155px"
  },
  {
    prop: "first_customer_org",
    label: "一级企业",
    minWidth: "155px"
  },
  {
    prop: "second_customer_org",
    label: "二级企业",
    minWidth: "155px"
  },
  {
    prop: "companyName",
    label: "客户名称",
    minWidth: "155px"
  },
  {
    prop: "good_name",
    label: "产品名称",
    minWidth: "155px"
  },
  {
    prop: "num",
    label: "数量",
    minWidth: "155px"
  },
  {
    prop: "unit",
    label: "单位",
    minWidth: "155px"
  },
  {
    prop: "budget_price",
    label: "单价",
    minWidth: "155px"
  },
  {
    prop: "total_fee",
    label: "金额",
    minWidth: "155px"
  },

  {
    prop: "is_bids",
    label: "是否采反",
    minWidth: "155px"
  },
  {
    prop: "is_zhuandan",
    label: "订单转单",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  title: "竞价单报表",
  columns,
  apis: {
    httpList: httpBiddinglist
  }
};

export default contentConfig;
