import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "use_desc",
      type: "input",
      placeholder: "产品用途"
    }
  ]
};

export default searchFormConfig;
