import contentAddressConfig from "./address/content.config";
import searchAddressConfig from "./address/search.config";

import contentAfterSaleConfig from "./afterSale/content.config";
import searchAfterSaleConfig from "./afterSale/search.config";

import searchBiddingConfig from "./bidding/search.config";
import contentBiddingConfig from "./bidding/content.config";

import searchBiddingexportConfig from "./biddingexport/search.config";
import contentBiddingexportConfig from "./biddingexport/content.config";

import contenthDailyConfig from "./daily/content.config";
import searchDailytConfig from "./daily/search.config";

import searchOrdertConfig from "./order/search.config";
import contenthOrderConfig from "./order/content.config";

import searchUnshippedtConfig from "./order/search.config";
import contenthUnshippedConfig from "./order/content.config";

import searchUnsignedtConfig from "./unsigned/search.config";
import contentUnsignedConfig from "./unsigned/content.config";

import searchHotsellingConfig from "./hotselling/search.config";
import contentHotsellingConfig from "./hotselling/content.config";

import searchWorkdifferenceConfig from "./workdifference/search.config";
import contentWorkdifferenceConfig from "./workdifference/content.config";

import searchReturnConfig from "./return/search.config";
import contentReturnConfig from "./return/content.config";

import searchAftersalesInfonConfig from "./aftersalesInfo/search.config";
import contenthAftersalesInfoConfig from "./aftersalesInfo/content.config";

import searchSeboConfig from "./sebo/search.config";
import contenthSeboConfig from "./sebo/content.config";

import searchNoAddressConfig from "./no-address/search.config";
import contentNoAddressConfig from "./no-address/content.config";

export const configs = {
  daily: {
    name: "日报",
    search: searchDailytConfig,
    content: contenthDailyConfig
  },
  bidding: {
    name: "竞价单报表",
    search: searchBiddingConfig,
    content: contentBiddingConfig
  },
  order: {
    name: "订单报表",
    search: searchOrdertConfig,
    content: contenthOrderConfig
  },
  unshipped: {
    name: "未发货报表",
    search: searchUnshippedtConfig,
    content: contenthUnshippedConfig
  },
  unsigned: {
    name: "未签收报表",
    search: searchUnsignedtConfig,
    content: contentUnsignedConfig
  },
  afterSale: {
    name: "售后报表",
    search: searchAfterSaleConfig,
    content: contentAfterSaleConfig
  },
  hotselling: {
    name: "产品热销排行",
    search: searchHotsellingConfig,
    content: contentHotsellingConfig
  },
  biddingExport: {
    name: "竞价单导出明细",
    search: searchBiddingexportConfig,
    content: contentBiddingexportConfig
  },
  workdifference: {
    name: "工差信息表",
    search: searchWorkdifferenceConfig,
    content: contentWorkdifferenceConfig
  },
  return: {
    name: "退货明细表",
    search: searchReturnConfig,
    content: contentReturnConfig
  },
  aftersalesInfo: {
    name: "售后明细表",
    search: searchAftersalesInfonConfig,
    content: contenthAftersalesInfoConfig
  },
  sebo: {
    name: "议价明细表",
    search: searchSeboConfig,
    content: contenthSeboConfig
  },
  noAddress: {
    name: "无地址待发货订单",
    search: searchNoAddressConfig,
    content: contentNoAddressConfig
  },
  address: {
    name: "有地址待发货订单",
    search: searchAddressConfig,
    content: contentAddressConfig
  }
};
