import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";
const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

export async function httpList(data: object): Promise<DataType<Workbench[]>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/consultbidlistcopy`,
    {
      data: {
        ...data,
        is_own: "1"
      }
    }
  );
}
