import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";
const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

export async function httpList(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/projectlist`, {
    data
  });
}

export async function httpDetail(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/projectinfo`, {
    data
  });
}

//商品反馈详情
export async function httpCommodityFeedback(data: object): Promise<DataType<CommodityFeedback>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/projectfeedlist`, {
    data
  });
}


//采反商品详情
export async function httpCommodityDetail(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/projectfeedlist`, {
    data
  });
}

