export const searchColumns = [
  {
    prop: "standBookNo",
    label: "台账记录",
    t1: "方便统一修改、留存",
    minWidth: 155
  },
  {
    prop: "projectNo",
    label: "项目",
    t1: "方便统一修改、留存",
    minWidth: 155
  },
  {
    prop: "infoNo",
    label: "竞价单",
    t1: "方便统一修改、留存",
    minWidth: 155
  },
  {
    prop: "bargainNo",
    label: "议价单",
    t1: "方便统一修改、留存",
    minWidth: 155
  },
  {
    prop: "bk_code",
    label: "备货单",
    t1: "方便统一修改、留存",
    minWidth: 155
  },
  {
    prop: "orderCode",
    label: "销售订单",
    t1: "方便统一修改、留存",
    minWidth: 155
  },
  {
    prop: "cgdNo",
    label: "采购单",
    t1: "方便统一修改、留存",
    minWidth: 155
  },
  {
    prop: "spuCode",
    label: "成本商品",
    t1: "方便统一修改、留存",
    minWidth: 155
  },
  {
    prop: "skuCode",
    label: "上线商品",
    t1: "方便统一修改、留存",
    minWidth: 155
  },
  {
    prop: "supplierNo",
    label: "供应商",
    t1: "方便统一修改、留存",
    minWidth: 155
  },
  {
    prop: "companyNo",
    label: "业务公司",
    t1: "方便统一修改、留存",
    minWidth: 155
  },
  {
    prop: "customer_code",
    label: "企业客户",
    t1: "方便统一修改、留存",
    minWidth: 155
  }
];

export const defaultSearchData = createSearchData();

function createSearchData() {
  const searchData: Record<string, string> = {};

  searchColumns.forEach(({ prop }) => (searchData[prop] = ""));

  return searchData;
}
