import { FormConfig } from "/@/components/PageSearch";
import { STATUS_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "账号状态",
      options: convertOptions(STATUS_OPTIONS)
    },
    {
      field: "name",
      type: "input",
      placeholder: "业务员姓名"
    },
    {
      field: "username",
      type: "input",
      placeholder: "手机号"
    }
  ]
};

export default searchFormConfig;
