import { ContentConfig } from "/@/components/PageContent";
import { httpBiddingReplyTotal } from "/@/api/reportQuery/purchaseReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "addtime",
    label: "采反日期",
    minWidth: "155px"
  },
  {
    prop: "name",
    label: "创建人部门",
    minWidth: "155px"
  },
  {
    prop: "nickname",
    label: "采购员",
    minWidth: "155px"
  },
  {
    prop: "total",
    label: "采反次数",
    minWidth: "155px"
  },
  {
    prop: "num",
    label: "采反商品数量",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  title: "采购员回复竞价单数",
  columns,
  apis: {
    httpList: httpBiddingReplyTotal
  }
};

export default contentConfig;
