import { ContentConfig } from "/@/components/PageContent";
import { httpBiddingTotal } from "/@/api/reportQuery/purchaseReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "addtime",
    label: "竞价时间",
    minWidth: "155px"
  },
  {
    prop: "name",
    label: "业务部门",
    minWidth: "155px"
  },
  {
    prop: "total",
    label: "竞价数量",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  title: "竞价单总数",
  columns,
  apis: {
    httpList: httpBiddingTotal
  }
};

export default contentConfig;
