import biddingTotal from "./biddingTotal";
import purchaseTotal from "./purchaseTotal";
import buyerOrder from "./buyerOrder";
import biddingReplyTotal from "./biddingReplyTotal";
import purchaseBack from "./purchaseBack";
import notPurchaseBack from "./notPurchaseBack";
import orderDetails from "./orderDetails";
import afterSaleDetails from "./afterSaleDetails";
import enterSupplier from "./enterSupplier";
import returnDailyReport from "./returnDailyReport";
import productLaunch from "./productLaunch";
import productOffline from "./productOffline";
import productChangeLog from "./productChangeLog";
import inboundAndOutboundDetails from "./InboundAndOutboundDetails";

export const configs = {
  biddingTotal: {
    name: "竞价单总数",
    ...biddingTotal
  },
  purchaseTotal: {
    name: "采购单总金额",
    ...purchaseTotal
  },
  buyerOrder: {
    name: "采购员订单金额",
    ...buyerOrder
  },
  biddingReplyTotal: {
    name: "采购员回复竞价单数",
    ...biddingReplyTotal
  },
  purchaseBack: {
    name: "已采返报价信息",
    ...purchaseBack
  },
  notPurchaseBack: {
    name: "未采返信息",
    ...notPurchaseBack
  },
  orderDetails: {
    name: "订单明细报表",
    ...orderDetails
  },
  afterSaleDetails: {
    name: "售后明细报表",
    ...afterSaleDetails
  },
  enterSupplier: {
    name: "每日录入供应商报表",
    ...enterSupplier
  },
  returnDailyReport: {
    name: "退货流水报表",
    ...returnDailyReport
  },
  productLaunch: {
    name: "商品上线报表",
    ...productLaunch
  },
  productOffline: {
    name: "商品下线报表",
    ...productOffline
  },
  httpProductChangeLog: {
    name: "商品修改报表",
    ...productChangeLog
  },
  inboundAndOutboundDetails: {
    name: "出入库明细",
    ...inboundAndOutboundDetails
  }
};
