import { ContentConfig } from "/@/components/PageContent";
import {
  httpBiddingTotal,
  httpNotPurchaseBack
} from "/@/api/reportQuery/purchaseReport";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "zxNo",
    label: "竞价订单号",
    minWidth: "155px"
  },
  {
    prop: "good_name",
    label: "商品名称",
    minWidth: "155px"
  },
  {
    prop: "num",
    label: "需求数量",
    minWidth: "155px"
  },
  {
    prop: "companyName",
    label: "客户名称",
    minWidth: "155px"
  },
  {
    prop: "addtime",
    label: "创建时间",
    minWidth: "155px"
  },
  {
    prop: "endtime",
    label: "截止时间",
    minWidth: "155px"
  },
  {
    prop: "updatetime",
    label: "结束时间",
    minWidth: "155px"
  },
  {
    prop: "status",
    label: "状态",
    minWidth: "155px"
  }
];

const contentConfig: ContentConfig = {
  title: "未采返信息",
  columns,
  apis: {
    httpList: httpNotPurchaseBack
  }
};

export default contentConfig;
