import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "returnCode", label: "售后申请编号" },
          { value: "outCode", label: "发货申请单编号" },
          { value: "orderCode", label: "销售订单编号" },
          { value: "good_code", label: "商品编号" },
          { value: "good_name", label: "商品名称" },
          { value: "company_name", label: "申请人部门" },
          { value: "apply_name", label: "申请人" }
        ]
      }
    }
  ]
};

export default searchFormConfig;
